function augment_init(augment)
    -- Fetch the owner of the augment.
    local owner = augment:owner();

    -- Create the auxiliary property
    -- If health is greater than 1, reduce damage to current health -1
    -- Allows survival of lethal hits at 2 HP or higher.
    local LethalGuard = AuxProp.new()
        :require_total_damage(Compare.GT, 1)
        :require_projected_health("HEALTH - DAMAGE", Compare.LE, 0)
        :decrease_total_damage("DAMAGE - HEALTH + 1")

    -- Add the property to the player.
    owner:add_aux_prop(LethalGuard)
end
